Package org.gitana.platform.client.cluster

# Class ClusterImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.datastore.AbstractDataStoreImpl
org.gitana.platform.client.cluster.ClusterImpl

All Implemented Interfaces:
  `Serializable`, `Cluster`, `DataStore`, `Document`, `AccessControllable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `Teamable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class ClusterImpl extends AbstractDataStoreImpl implements Cluster

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`ClusterImpl(com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
`ClusterImpl(String clusterId)`

## Method Summary

Modifier and Type
Method
Description
`Cluster`
`getCluster()`
`String`
`getResourceUri()`
`String`
`getTypeId()`
`void`
`killJob(String jobId)`
`org.gitana.platform.support.ResultMap<Job>`
`listFailedJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listFailedJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listFinishedJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listFinishedJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listRunningJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listRunningJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listUnstartedJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listUnstartedJobs(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`listWaitingJobs()`
`org.gitana.platform.support.ResultMap<Job>`
`listWaitingJobs(org.gitana.platform.support.Pagination pagination)`
`Job`
`pollForJobCompletion(String jobId)`
Similar to waitForCompletion() call but uses Cloud CMS 4.0 Job Polling.
`org.gitana.platform.support.ResultMap<Job>`
`queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Job>`
`queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Job>`
`queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`Job`
`readJob(String jobId)`
`org.gitana.platform.services.reference.Reference`
`ref()`
`void`
`reload()`
Reload
`Job`
`waitForJobCompletion(String jobId)`

### Methods inherited from class org.gitana.platform.client.datastore.AbstractDataStoreImpl

`createTeam, createTeam, delete, deleteTeam, equals, exportArchive, exportArchive, exportArchive, getACL, getACL, getAuthorityGrants, getDriver, getFactory, getId, getOwnersTeam, getRemote, getTeamableBaseUri, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, importArchive, importArchive, importArchive, listTeams, readTeam, revoke, revoke, revokeAll, revokeAll, update`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### ClusterImpl

public ClusterImpl(com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

### ClusterImpl

public ClusterImpl(String clusterId)

## Method Details

### ref

public org.gitana.platform.services.reference.Reference ref()

Specified by:
  `ref` in interface `Referenceable`

### getCluster

public Cluster getCluster()

Specified by:
  `getCluster` in class `AbstractDataStoreImpl`

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractDataStoreImpl`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`
Specified by:
  `reload` in class `AbstractDataStoreImpl`

### queryJobs

public org.gitana.platform.support.ResultMap<Job> queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryJobs` in interface `Cluster`

### queryJobs

public org.gitana.platform.support.ResultMap<Job> queryJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryJobs` in interface `Cluster`

### listUnstartedJobs

public org.gitana.platform.support.ResultMap<Job> listUnstartedJobs()

Specified by:
  `listUnstartedJobs` in interface `Cluster`

### listUnstartedJobs

public org.gitana.platform.support.ResultMap<Job> listUnstartedJobs(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listUnstartedJobs` in interface `Cluster`

### queryUnstartedJobs

public org.gitana.platform.support.ResultMap<Job> queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryUnstartedJobs` in interface `Cluster`

### queryUnstartedJobs

public org.gitana.platform.support.ResultMap<Job> queryUnstartedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryUnstartedJobs` in interface `Cluster`

### listRunningJobs

public org.gitana.platform.support.ResultMap<Job> listRunningJobs()

Specified by:
  `listRunningJobs` in interface `Cluster`

### listRunningJobs

public org.gitana.platform.support.ResultMap<Job> listRunningJobs(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listRunningJobs` in interface `Cluster`

### queryRunningJobs

public org.gitana.platform.support.ResultMap<Job> queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryRunningJobs` in interface `Cluster`

### queryRunningJobs

public org.gitana.platform.support.ResultMap<Job> queryRunningJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryRunningJobs` in interface `Cluster`

### listFailedJobs

public org.gitana.platform.support.ResultMap<Job> listFailedJobs()

Specified by:
  `listFailedJobs` in interface `Cluster`

### listFailedJobs

public org.gitana.platform.support.ResultMap<Job> listFailedJobs(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listFailedJobs` in interface `Cluster`

### queryFailedJobs

public org.gitana.platform.support.ResultMap<Job> queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryFailedJobs` in interface `Cluster`

### queryFailedJobs

public org.gitana.platform.support.ResultMap<Job> queryFailedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryFailedJobs` in interface `Cluster`

### listWaitingJobs

public org.gitana.platform.support.ResultMap<Job> listWaitingJobs()

Specified by:
  `listWaitingJobs` in interface `Cluster`

### listWaitingJobs

public org.gitana.platform.support.ResultMap<Job> listWaitingJobs(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listWaitingJobs` in interface `Cluster`

### queryWaitingJobs

public org.gitana.platform.support.ResultMap<Job> queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryWaitingJobs` in interface `Cluster`

### queryWaitingJobs

public org.gitana.platform.support.ResultMap<Job> queryWaitingJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryWaitingJobs` in interface `Cluster`

### listFinishedJobs

public org.gitana.platform.support.ResultMap<Job> listFinishedJobs()

Specified by:
  `listFinishedJobs` in interface `Cluster`

### listFinishedJobs

public org.gitana.platform.support.ResultMap<Job> listFinishedJobs(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listFinishedJobs` in interface `Cluster`

### queryFinishedJobs

public org.gitana.platform.support.ResultMap<Job> queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryFinishedJobs` in interface `Cluster`

### queryFinishedJobs

public org.gitana.platform.support.ResultMap<Job> queryFinishedJobs(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryFinishedJobs` in interface `Cluster`

### readJob

public Job readJob(String jobId)

Specified by:
  `readJob` in interface `Cluster`

### killJob

public void killJob(String jobId)

Specified by:
  `killJob` in interface `Cluster`

### waitForJobCompletion

public Job waitForJobCompletion(String jobId)

Specified by:
  `waitForJobCompletion` in interface `Cluster`

### pollForJobCompletion

public Job pollForJobCompletion(String jobId)
Description copied from interface: `Cluster`
Similar to waitForCompletion() call but uses Cloud CMS 4.0 Job Polling.

Specified by:
  `pollForJobCompletion` in interface `Cluster`
Parameters:
  `jobId` -
Returns: